Has patch:
Complexity:
Subject: Improve UriBuilder
Description

As discussed in the mailing lists, the current UriBuilder is not really flexible and extensible.
Besides it does not follow the FLOW3 CGL ("URIBuilder" should be "UriBuilder", "URIFor()" => "uriFor()").

In Extbase the UriBuilder is already rewritten (See #3981). These changes need to be "forward ported" to FLOW3.

Patch follows.

Related issues:
precedes TYPO3.Fluid - Task # 3987: Inconsistent attribute naming in Form vie... Resolved 2009-09-05 2009-09-05

History
#1 - 2009-09-04 19:43 - Bastian Waidelich
- File 4457_Improve_UriBuilder.patch added
- File 4457_Fluid.patch added
- File 4457_DocumentationBrowser.patch added
- Assigned To changed from Bastian Waidelich to Robert Lemke

Attached patches improves the UriBuilder as described and adjusts packages "Fluid" and "DocumentationBrowser" accordingly.
Please check and commit if applicable.

#2 - 2009-09-04 19:45 - Bastian Waidelich

Bastian Waidelich wrote:

Attached patches improves the UriBuilder as described [...]

BTW: The patch even brings some new features like $uriBuilder->setAddQueryString() and
$uriBuilder->setArgumentsToBeExcludedFromQueryString() which will be useful for complex scenarios

#3 - 2009-09-04 19:57 - Bastian Waidelich

BTW²: The patch resolves #3987 too.

#4 - 2009-09-07 14:22 - Karsten Dambekalns
- Status changed from New to Accepted
- Assigned To changed from Robert Lemke to Karsten Dambekalns

#5 - 2009-09-07 14:22 - Karsten Dambekalns
- Target version set to 1.0 alpha 4

#6 - 2009-09-07 14:42 - Bastian Waidelich
- File 4457_DocumentationBrowser.zip added
- File 4457_FLOW3.zip added
- File 4457_Fluid.zip added

If the patches won't apply cleanly, you can replace the files manually (see attached zip archives)

#7 - 2009-09-07 15:25 - Bastian Waidelich
- File 4457_Fluid_v2.patch added

Attached you'll find a tweaked version of the Fluid patch:
Link/ActionViewHelper & Uri/ActionViewHelper did not call reset() on UriBuilder before creating the URI.

#8 - 2009-09-23 00:08 - Karsten Dambekalns
- Status changed from Accepted to Resolved
- % Done changed from 0 to 100

Resolved as of r3131 (somehow i forgot the commit message with that change).

Files
4457_Improve_UriBuilder.patch 32.8 kB 2009-09-04 Bastian Waidelich
4457_Fluid.patch 13.9 kB 2009-09-04 Bastian Waidelich
4457_DocumentationBrowser.patch 1.2 kB 2009-09-04 Bastian Waidelich
4457_DocumentationBrowser.zip 2.3 kB 2009-09-07 Bastian Waidelich
4457_FLOW3.zip 30.8 kB 2009-09-07 Bastian Waidelich
4457_Fluid.zip 11.1 kB 2009-09-07 Bastian Waidelich
4457_Fluid_v2.patch 14 kB 2009-09-07 Bastian Waidelich
